Page MenuHomePhabricator

[libc][NFC] Ensure internal implementation is in __llvm_libc namespace
ClosedPublic

Authored by abrachet on Mar 27 2020, 7:24 PM.

Diff Detail

Event Timeline

abrachet created this revision.Mar 27 2020, 7:24 PM

Can we just remove the namespace?

PaulkaToast accepted this revision.Mar 27 2020, 10:44 PM

Can we just remove the namespace?

What do you mean? Remove this particular namespace, or namespaces in general?

This revision is now accepted and ready to land.Mar 27 2020, 10:44 PM

Can we just remove the namespace?

What do you mean? Remove this particular namespace, or namespaces in general?

Delete all occurrences of __llvm_libc.

sivachandra accepted this revision.Mar 27 2020, 11:31 PM

Delete all occurrences of __llvm_libc.

We made a decision to start with this, so we will stick with it unless we find some absolutely no go situation.

Delete all occurrences of __llvm_libc.

We made a decision to start with this, so we will stick with it unless we find some absolutely no go situation.

BTW, some of the reasons have been outlined in previous patches and discussions. For example, being able to mix with other libc implementations. There are possibly other ways to do it. Decision on using namespaces as a solution has already been made so we will stick with it.

This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMar 28 2020, 12:31 AM
gchatelet marked an inline comment as done.Mar 30 2020, 12:31 AM
gchatelet added inline comments.
libc/src/string/memory_utils/memcpy_utils.h
23

Thx!